phy_mii_ioctl
Prev | PHY Support | Next

## Name

phy_mii_ioctl — generic PHY MII ioctl interface

## Synopsis

`int phy_mii_ioctl (` | struct phy_device * | phydev,
| struct mii_ioctl_data * | mii_data,
| int | cmd`)`;

## Arguments

`phydev`

  the phy_device struct

`mii_data`

  MII ioctl data

`cmd`

  ioctl cmd to execute

## Description

Note that this function is currently incompatible with the PHYCONTROL layer. It changes registers without regard to current state. Use at own risk.

Prev | Up | Next
phy_ethtool_sset | Home | phy_start_aneg